Skip to main content
GET
/
evals
/
{eval_id}
/
runs
/
{run_id}
/
output_items
/
{output_item_id}
Error
A valid request URL is required to generate request examples
{
  "object": "eval.run.output_item",
  "id": "<string>",
  "run_id": "<string>",
  "eval_id": "<string>",
  "created_at": 123,
  "status": "<string>",
  "datasource_item_id": 123,
  "datasource_item": {},
  "results": [
    {}
  ],
  "sample": {
    "input": [
      {
        "role": "<string>",
        "content": "<string>"
      }
    ],
    "output": [
      {
        "role": "<string>",
        "content": "<string>"
      }
    ],
    "finish_reason": "<string>",
    "model": "<string>",
    "usage": {
      "total_tokens": 123,
      "completion_tokens": 123,
      "prompt_tokens": 123,
      "cached_tokens": 123
    },
    "error": {
      "code": "<string>",
      "message": "<string>"
    },
    "temperature": 123,
    "max_completion_tokens": 123,
    "top_p": 123,
    "seed": 123
  }
}

Authorizations

api-key
string
header
required

Headers

aoai-evals
enum<string>
required

Enables access to AOAI Evals, a preview feature. This feature requires the 'aoai-evals' header to be set to 'preview'.

Available options:
preview

Path Parameters

eval_id
string
required
run_id
string
required
output_item_id
string
required

Query Parameters

api-version
enum<string>
default:v1

The explicit Azure AI Foundry Models API version to use for this request. v1 if not otherwise specified.

Available options:
v1,
preview

Response

The request has succeeded.

A schema representing an evaluation run output item.

object
enum<string>
default:eval.run.output_item
required

The type of the object. Always "eval.run.output_item".

Available options:
eval.run.output_item
id
string
required

Unique identifier for the evaluation run output item.

run_id
string
required

The identifier of the evaluation run associated with this output item.

eval_id
string
required

The identifier of the evaluation group.

created_at
integer<unixtime>
required

Unix timestamp (in seconds) when the evaluation run was created.

status
string
required

The status of the evaluation run.

datasource_item_id
integer<int32>
required

The identifier for the data source item.

datasource_item
object
required

Details of the input data source item.

results
object[]
required

A list of results from the evaluation run.

sample
object
required

A sample containing the input and output of the evaluation run.